grk::T1Interface Class Referenceabstract

`#include <T1Interface.h>`

Inheritance diagram for grk::T1Interface:

## Public Member Functions

virtual | ~T1Interface ()=default
virtual bool | compress (CompressBlockExec *block)=0
virtual bool | decompress (DecompressBlockExec *block)=0

## Constructor & Destructor Documentation

## ~T1Interface()

virtual grk::T1Interface::~T1Interface | ( |  | ) |

virtual default

## Member Function Documentation

## compress()

virtual bool grk::T1Interface::compress | ( | CompressBlockExec * | block | ) |

pure virtual

Implemented in grk::t1_part1::T1Part1, ojph::T1OJPH, and openhtj2k::T1OpenHTJ2K.

Referenced by grk::CompressBlockExec::open().

## decompress()

virtual bool grk::T1Interface::decompress | ( | DecompressBlockExec * | block | ) |

pure virtual

Implemented in grk::t1_part1::T1Part1, ojph::T1OJPH, and openhtj2k::T1OpenHTJ2K.

Referenced by grk::DecompressBlockExec::open().

The documentation for this class was generated from the following file:

- T1Interface.h